/* return apple integer storage format */

main()
{
    int c, idx;
    char numbuf[33];
    char *ptr;
    int temp1,temp2;

    do{
        scr_clear();
        printf("Enter a Number : \n");
        gets(numbuf);
        c=atoi(numbuf);

        ptr=(char *)&c;
        temp1=(int)ptr[0];
        temp2=(int)ptr[1];

        printf("Number = %d. First Byte = %d. Second Byte = %d\n",
               c,temp1,temp2);
        printf("Press ESC to Exit...\nAny other key to continue...\n");
        }while((c=getch())!=27);

    scr_apple();
    reboot();
    /*
    scr_clear();
    exit(0);
    */

}

